package com.lz.modules.app.enums;

public enum  FlowApprovalRoleTypeEnums {

    ME(-1,"自己"),
    STAFF(0,"指定员工"),
    ONE_SUPPER(1,"一级主管"),
    TWO_SUPPER(2,"二级主管"),
    THREE_SUPPER(3,"三级主管"),
    FOUR_SUPPER(4,"四级主管"),
    FIVE_SUPPER(5,"五级主管");

    private Integer type;
    private String desc ;

    FlowApprovalRoleTypeEnums(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
